apt 3.1.11 commandline package manager

Public Member Functions | Public Attributes | List of all members
Solver::Var Struct Reference

Tagged union holding either a package, version, or nothing; representing the reason for installing something. More...

`#include <apt-pkg/solver3.h>`

## Public Member Functions
constexpr | Var (uint32_t value=0)
| Var (pkgCache::PkgIterator const &Pkg)
| Var (pkgCache::VerIterator const &Ver)
constexpr bool | isVersion () const
constexpr uint32_t | mapPtr () const
map_pointer< pkgCache::Package > | Pkg () const
map_pointer< pkgCache::Version > | Ver () const
pkgCache::PkgIterator | Pkg (pkgCache &cache) const
pkgCache::VerIterator | Ver (pkgCache &cache) const
pkgCache::PkgIterator | CastPkg (pkgCache &cache) const
constexpr bool | empty () const
constexpr bool | operator!= (Var const other) const
constexpr bool | operator== (Var const other) const
std::string | toString (pkgCache &cache) const

## Public Attributes
uint32_t | value

## Detailed Description

Tagged union holding either a package, version, or nothing; representing the reason for installing something.

We want to keep track of the reason why things are being installed such that we can have sensible debugging abilities; and we want to generically refer to both packages and versions as variables, hence this class was added.

The documentation for this struct was generated from the following file:

- apt-pkg/solver3.h